Subject: Re: Problem about my .procmailrc [filtering]

From: Ed Greshko <[email-masked]>
Date: Tue, 30 Aug 1994 15:54:56 +0800 (TPE)

On Tue, 30 Aug 1994, Ming-Yen Hsu wrote:

> Hi,
> I am impressed with the new features of Pine 3.90. However, I am confused
> by the procmail rcfile.
> 
> My question is about the condition of "From". All I new mail with Subject
> "WWW comment" go into the right folder correctly, but the mail from my
> friend "jeff@somewhere" never get into the right place and keep in INBOX.
> 
> Somebody help me! Thanks in advanced.

Hi,

> :0:				# Anything from thf
> * ^From.*jeff
> jeff				# will go to $MAILDIR/todd

	If you check the procmailex.5 man page you will note on page two
it has some information if your system does not generate "correct"
leading "From " lines.   

	This is what I suspect is happening....

	One thing you can do is to try to match on ^From:.*jeff and see
what happens.  I believe this will match the "From:" line instead of the 
"From " line.  Since the "From " line comes before the "From:" line I think
procmail is terminating when it does not find the pattern in the "From "
line.   Then again....since I've only started to use procmail.....I
could easily be wrong.  :-(

	You could also do what is suggested in the man page.  If you don't
have the man pages available let me know and I'll email them to you.

					Ed

Edward M. Greshko                       Technical Manager, Electronic Commerce
                                        Control Data Asia/Pacific Region
Voice: +886-2-715-2222 x287             6/F, 131 Nanking East Road, Section 3
FAX  : +886-2-712-9197                  Taipei, Taiwan R.O.C